Subject: Re: Better suggestions when git-am(1) fails

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Mar 2023 10:10:50 -0700

Jeff King <[email-masked]> writes:

> On Fri, Mar 10, 2023 at 08:28:55AM -0800, Junio C Hamano wrote:
>
>> Jeff King <[email-masked]> writes:
>> 
>> >   1. I feel like "-p1" was pretty standard even before Git. You'd
>> >      extract two copies of the tarball, one into "foo-1.2.3" and one
>> >      into "foo-1.2.3.orig", and then "diff -Nru" between them to send a
>> >      patch.
>> 
>> I would too, but then we wouldn't have accepted the request to add
>> .noprefix configuration; I do not recall where it came from.
>
> I always thought it was an aesthetic thing for humans viewing diffs (and
> likewise mnemonicprefix). The original thread doesn't give much
> motivation, though:
>
>   https://lore.kernel.org/git/[email-masked]/

Interesting.

Comparison with mnemonicprefix is a bit unfair, as it does not break
other tools, though ;-).